# Interface IMatchingNodes

interface IMatchingNodes {
entering: PathNode[];
exiting: PathNode[];
from: PathNode[];
retained: PathNode[];
to: PathNode[];
[key: string]: PathNode[];
}

#### Indexable

- [key: string]: PathNode[]

- Defined in src/router/transition/interface.ts:866

##### Index

### Properties

entering
exiting
from
retained
to

## Properties

### entering

entering: PathNode[]

- Defined in src/router/transition/interface.ts:873

### exiting

exiting: PathNode[]

- Defined in src/router/transition/interface.ts:871

### from

from: PathNode[]

- Defined in src/router/transition/interface.ts:870

### retained

retained: PathNode[]

- Defined in src/router/transition/interface.ts:872

### to

to: PathNode[]

- Defined in src/router/transition/interface.ts:869